#include<bits/stdc++.h>
using namespace std;
int t,n,m,k;
vector<string> rez;
bool moze(int n, int m, int k)
{
    int suma,d,brg;
    d=n/k;
    brg=n%k;
    suma=brg*(d+1)*(d+2)/2+(k-brg)*d*(d+1)/2;
    //cout<<suma<<endl;
    if (m>=suma)
        return true;
    return false;
}
void unos()
{
    cin>>t;
    rez.resize(t);
    for(int i=0;i<t;i++)
    {
        cin>>n>>m>>k;
        if (moze(n,m,k))
            rez[i]="Tak";
        else
            rez[i]="Nie";
    }
}
void izlaz()
{
    for(int i=0;i<t;i++)
        cout<<rez[i]<<endl;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    unos();
    izlaz();
    return 0;
}